<template>
  <div
    class="min-h-full bg-bgdsec rounded-32 sm:rounded-none xs:rounded-none flex flex-col xs:flex-row sm:flex-row sm:justify-between xs:justify-between p-8 sm:p-4 xs:p-4 xs:border-t sm:border-t border-brdddef gap-8 xs:gap-0 items-center"
  >
    <router-link to="/" class="relative">
      <UiButton colorType="transparent" buttonHeight="sm" class="w-12 rounded-16">
        <img width="24" height="24" src="@/assets/images/panel/dashboard.svg" />
      </UiButton>
      <div
        v-if="$route.path === '/'"
        class="panel__line w-1 h-4 sm:h-1 sm:w-4 xs:h-1 xs:w-4 xs:hidden sm:hidden rounded-100 bg-blue absolute"
      ></div>
    </router-link>
    <div class="h-0.5 w-3 bg-brdddef sm:hidden xs:hidden"></div>
    <a href="https://flashnodes.gitbook.io/flashnodes/" target="_blank" rel="nofollow">
      <UiButton colorType="transparent" buttonHeight="sm" class="w-12 rounded-16">
        <img width="24" height="24" src="@/assets/images/panel/book.svg" />
      </UiButton>
    </a>
    <a href="https://discord.com/invite/uK4hJJrc6m" target="_blank" rel="nofollow">
      <UiButton colorType="transparent" buttonHeight="sm" class="w-12 rounded-16">
        <img width="24" height="24" src="@/assets/images/panel/headphones.svg" />
      </UiButton>
    </a>
    <UiButton
      colorType="transparent"
      buttonHeight="sm"
      class="w-12 rounded-16 mt-auto sm:mt-0 xs:mt-0"
      @click="openLanguageModal"
    >
      <img width="24" height="24" src="@/assets/images/panel/language.svg" />
    </UiButton>
    <div class="h-0.5 w-3 bg-brdddef sm:hidden xs:hidden"></div>
    <UiButton
      :key="isAuthorized"
      :colorType="isAuthorized ? 'outline' : 'primary'"
      buttonHeight="sm"
      class="w-12 rounded-16"
      @click="login"
    >
      <img v-if="!isAuthorized" width="24" height="24" src="@/assets/images/wallet.svg" />
      <img v-else width="40" height="40" src="@/assets/images/logotype.gif" class="rounded-12" />
    </UiButton>
  </div>
</template>

<script>
import UiButton from '@/components/ui/UiButton.vue';

export default {
  name: 'ThePanel',

  components: { UiButton },

  computed: {
    isAuthorized() {
      return this.$store.state.auth.isAuthorized;
    },
  },

  methods: {
    login() {
      if (this.isAuthorized) this.$store.commit('setAccountModalDisplay', true);
      else this.$store.commit('setConnectModalDisplay', true);
    },

    openLanguageModal() {
      this.$store.commit('setLanguageSelectDisplay', true);
    },
  },
};
</script>

<style lang="scss">
.panel {
  &__line {
    top: 16px;
    right: -34px;

    @media (max-width: 768px) {
      bottom: -34px;
      left: 16px;
    }
  }
}
</style>
